<?php defined('BASEPATH') or exit('No direct script access allowed');
// created by : KuduSinau_Hendrik_081275532220 (TERIMAKASIH UNTUK MENDAPATKAN KEBERKAHAN, DENGAN TIDAK MERUBAH NAMA HAK CIPTA, PLAGIAT, DAN TIDAK MEMPERJUALBELIKAN APLIKASI INI, SEMOGA KITA SEMUA MENDAPAT MANFAAT DAN KEBERKAHAN DARI APLIKASI INI)
// created by : KuduSinau_Hendrik_081275532220 (UNTUK MASUKAN DAN SARAN SERTA PENGEMBANGAN BISA MENGHUBUNGI NOMOR)
class M_user extends CI_Model
{
    public function simpan_register($data)
    {
        return $this->db->insert("t_user", $data);
        // created by : KuduSinau_Hendrik_081275532220
    }
    function cek_login($username)
    {
        $user = $this->db->get_where('t_user', ['username' => $username])->row_array();
        $newlembaga = $user['kd_user'];
        $newId = $user['id_user'];
        $this->db->select("*");
        $this->db->from("t_user");
        $this->db->where("username", $username);
        $this->db->where("kd_user", $newlembaga);
        $this->db->where("id_user", $newId);
        $query = $this->db->get();
        $user = $query->row();
        if (!empty($user)) {
            return $query->result();
        } else {
            return FALSE;
        }
        // created by : KuduSinau_Hendrik_081275532220
    }
    function cek_login1()
    {
        $this->db->select("*");
        $this->db->from("t_user");
        $query = $this->db->get();
        if ($query->num_rows() > 0) {
            return $query->result_array();
        } else {
            return false;
        }
        // created by : KuduSinau_Hendrik_081275532220
    }
    public function join_user()
    {
        $this->db->select('*');
        $this->db->from('t_jenjang');
        $this->db->join('t_lembaga', 't_jenjang.id_jenjang = t_lembaga.jenjang_lembaga');
        $this->db->join('t_status', 't_lembaga.sts_lembaga = t_status.id_status');
        $query = $this->db->get();
        if ($query->num_rows() > 0) {
            return $query->result_array();
        } else {
            return false;
        }
    }
    // created by : KuduSinau_Hendrik_081275532220
}
// created by : KuduSinau_Hendrik_081275532220 (TERIMAKASIH UNTUK MENDAPATKAN KEBERKAHAN, DENGAN TIDAK MERUBAH NAMA HAK CIPTA, PLAGIAT, DAN TIDAK MEMPERJUALBELIKAN APLIKASI INI, SEMOGA KITA SEMUA MENDAPAT MANFAAT DAN KEBERKAHAN DARI APLIKASI INI)